Name: sgml-tools
Version: 1.0.9
Release: ipl27mdk

License: Freeware
Group: Publishing
Summary: A text formatting package based on SGML
Url: http://www.sgmltools.org/
Packager: Alexey Novodvorsky <aen@altlinux.ru>

Source: http://www.consultronics.com/~cdegroot/sgmltools/dist/%name-%version.tar.bz2
Source1: db-tools.tar.bz2
Source2: %name-1.0.9-site.tar.bz2
Source10: %name-1.0.9-copyright.txt

Patch: %name-1.0.6-letter.patch
Patch1: %name-1.0.9-egcs.patch
Patch2: %name-1.0.9-fixsgml2latex.patch
Patch3: %name-1.0.9-fixconfigure.patch
Patch4: %name-deprotoize.patch.bz2
Patch5: %name-buildroot.patch
Patch6: %name-manfix.patch
Patch7: %name-1.0.9-coda-doc.patch
Patch12: %name-i18n.patch
Patch13: %name-1.0.9-ukr.patch.bz2
Patch14: %name-tmpfile.patch
Patch15: %name-1.0.9-symlinks.patch
Patch16: %name-1.0.9-vendor.patch
Patch17: %name-1.0.9-alt-perl.patch

Obsoletes: linuxdoc-sgml, %name-style-dsssl
PreReq: sgml-common >= 0.2
Requires: groff, openjade

%define sgmlbase %_datadir/sgml
%define sgmlconfdir %_sysconfdir/sgml

# Automatically added by buildreq on Mon Oct 21 2002
BuildRequires: flex groff-base groff-ps openjade

%description
SGMLtools is a text formatting package based on SGML (Standard Generalized
Markup Language). SGMLtools allows you to produce LaTeX, HTML, GNU info,
LyX, RTF, plain text (via groff), and other format outputs from a single
SGML source.

SGMLtools is intended for writing technical software documentation.

%prep
%setup -q -b1 -a2

%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1

# (renaud) update path to the included style-sheets
for i in cygnus-both.dsl db2*.sh; do
    %__subst "s:%_libdir/sgml/stylesheets/nwalsh-modular/:%sgmlbase/docbook/dsssl-stylesheets/:" $i
    %__subst "s:dsssl-stylesheets-1.57:dsssl-stylesheets:" $i
done

%build
autoconf
%__subst -p 's/VOID/void/g; s/UNIV/void */g' sgmls-1.1/*

%configure \
	--with-installed-nsgmls \
	--libdir=%_libdir/%name \
	--datadir=%_libdir

%make_compile CFLAGS="$RPM_OPT_FLAGS"

%install
%__mkdir_p $RPM_BUILD_ROOT%prefix
%make_install install \
	prefix=$RPM_BUILD_ROOT%prefix \
	mandir=$RPM_BUILD_ROOT%_mandir

%__install -p -m644 %SOURCE10 COPYRIGHT

for f in *.sh; do
	%__install -pD -m755 "$f" "$RPM_BUILD_ROOT%_bindir/${f%.sh}"
done

#%__mkdir_p $RPM_BUILD_ROOT%dsssldir/stylesheets
#install -p -m644 *.dsl $RPM_BUILD_ROOT%dsssldir/stylesheets/
#install -p -m644 stylesheets.cat $RPM_BUILD_ROOT%dsssldir/catalog

%define _perl_lib_path %perl_vendor_privlib:%_libdir/%name

%files
%_bindir/rtf2rtf
%_bindir/sgml2html
%_bindir/sgml2info
%_bindir/sgml2latex
%_bindir/sgml2lyx
%_bindir/sgml2rtf
%_bindir/sgml2txt
%_bindir/sgmlcheck
%_bindir/sgmlpre
%_bindir/sgmlsasp
%_bindir/sgmltools.v1
%_libdir/entity-map
%perl_vendor_privlib/Text/EntityMap.pm
%dir %_libdir/sgml
%_libdir/sgml/*
%_libdir/%name
%_mandir/man?/*
%doc COPYRIGHT ChangeLog doc BUGS CONTRIBUTORS CHANGES README ==MIGRATE==

%changelog
* Fri Nov 08 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.9-ipl27mdk
- Really built with perl-5.8.0
- Changed versioning back for now.

* Wed Nov 06 2002 AEN <aen@altlinux.ru> 1:1.0.9-alt1
- rebuilt with new perl
- Changed versioning.

* Mon Oct 21 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.9-ipl26mdk
- Rebuilt with new groff.

* Tue Feb 19 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.9-ipl25mdk
- Fixed package requires.
- Minor specfile cleanup.

* Mon Feb 18 2002 AEN <aen@logic.ru> 1.0.9-ipl24mdk
- db2* removed from files
- style-dsssl removed

* Mon Jun 25 2001 AEN <aen@logic.ru> 1.0.9-ipl23mdk
- built with perl-5.6.1

* Wed Mar 21 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 1.0.9-ipl22mdk
- don't be dependent on the version of docbook-style-dsssl (taken from Cooker)
- the spec-file:
  + a bit more macros (like in docbook-style-dsssl)
  + COPYRIGHT is stored as a separate source-file now
- install-time scripts re-arranged
- files:
  + ChangeLog and the doc/ dir put into %%doc
  + symlinks on the scripts fixed (sgml2*; by eliminating filtering
    the scripts through perl -- that thing spoiled everything -- strange?)
- splitted into two pkgs: one for stylesheets in /usr/share/sgml

* Fri Mar 16 2001 AEN <aen@logic.ru> 1.0.9-21mdk
- secure patch from RH

* Wed Dec 13 2000 AEN <aen@logic.ru>
- sync with RE: i18n, ukr patches, site files

* Mon Nov 27 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.9-10mdk
- corrected path to the included stylesheets in cygnus-both.dsl

* Thu Nov 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.9-9mdk
- Fix gcc2.96 compilation.

* Wed Oct 04 2000 Camille Begnis <camille@mandrakesoft.com> 1.0.9-8mdk
- Added db2* backends
- Added cygnus and other stylesheets
- Prereq sgml-common

* Mon Oct  2 2000 Warly <warly@mandrakesoft.com> 1.0.9-7mdk
- can build without being already installed

* Sat Sep 16 2000 Warly <warly@mandrakesoft.com> 1.0.9-6mdk
- BM
- add BuildRequires egcs

* Fri Jul 07 2000 Florin Grad <florin@mandrakesoft.com> 1.0.9-5mdk
- remove the nsgml conflicts with openjade

* Fri Jul 07 2000 Florin Grad <florin@mandrakesoft.com> 1.0.9-4mdk
- coda-doc patch added

* Fri Jul 07 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0.9-3mdk
- Fix build as user
- Little spec cleanup
- Don't use auto-generated %%files

* Wed May 03 2000 Warly <warly@mandrakesoft.com> 1.0.9-2mdk
- fix compilation problem

* Wed Mar 29 2000 Warly <warly@mandrakesoft.com> 1.0.9-1mdk
- Mandrake Version

* Fri Feb 11 2000 Preston Brown <pbrown@redhat.com>
- add copyright file (#8621)
- fix sgml2latex processing (#4114)
- fix configure tests (#6480)

* Wed Feb  9 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- get rid of "CC=egcs"
- require jade - sgml2html calls nsgmls.

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- resurrect package in a non-conflicting manner

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- we aren't going to 2.0.x for 6.0, using 1.0.9 instead (more stable)

* Thu Aug 20 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.0.7

* Tue May 05 1998 Donnie Barnes <djb@redhat.com>
- changed default papersize to letter (from a4...sorry Europeans :-)
  use --papersize=a4 on any sgml2* command to change it or remove the
  patch from this spec file and rebuild.

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.0.6

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jan 12 1998 Donnie Barnes <djb@redhat.com>
- updated from 0.99 to 1.0.3
- added BuildRoot

* Sat Nov 01 1997 Donnie Barnes <djb@redhat.com>
- fixed man pages

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- new release - Obsoletes linuxdoc-sgml

